@import url('s768/case.css');

#header {
  --header-bg: var(--header-bg-none);
  --nav-color: var(--nav-color-dark);
}

#case-main {
  background-color: #f0f4f5;

  .banner {
    /* padding-top: 200px; */
    background-image: url('../images/case/banner_anli.jpg');
    /* background-repeat: no-repeat;
    background-size: cover; */


    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    box-sizing: border-box;
    aspect-ratio: 1920 / 694;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    .banner-title {
      
      line-height: 2.8;
      width: 75%;
      font-size: 56px;
      font-weight: bold;
      text-align: center;
      color: #00705c;
      background: linear-gradient(
        to right,
        rgba(255, 255, 255, 0),
        /* 左侧：完全透明 */ rgba(255, 255, 255, 0.7),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0.8),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0.7),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0) /* 右侧：完全透明 */
      );
    }
  }

  .case {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 80px;

    .item-list {
      width: 85%;
      display: grid;
      /* flex-flow: row wrap; */
      grid-template-columns: repeat(4, 1fr);
      gap: 50px;

      .item {
        flex: 0 0 25%;
        /* background-color: blue;*/
        /* border: 1px solid red;  */
        box-sizing: border-box;
        /* padding: 0px 25px;
          margin-bottom: 50px; */

        .item-img img {
          border-radius: 20px;
          border: 1px solid #e2eaf5;
          object-fit: cover;
          height: 320px;
        }

        .item-name {
          font-size: 24px;
          font-weight: bold;
          margin-top: 20px;
          -webkit-line-clamp: 1;
          overflow: hidden;
          -webkit-box-orient: vertical;
          display: -webkit-box;
          line-clamp: 1;

          a {
            text-decoration: none;
            color: #222222;
          }

          a:hover {
            text-decoration: underline;
          }
        }

        .item-intro {
          /* max-width: 350px;
            text-overflow: ellipsis;
            white-space: nowrap;
            margin-top: 15px;
            overflow: hidden; */
          margin-top: 15px;

          overflow: hidden;
          text-overflow: ellipsis;
          -webkit-box-orient: vertical;
          display: -webkit-box;
          -webkit-line-clamp: 1;
          line-clamp: 1;
        }

        .item-tag {
          margin-top: 15px;

          button {
            font-size: 18px;
            margin-right: 4px;
            height: 38px;
            padding: 0 15px;
            border: 1px solid #00705c;
            border-radius: 20px;
            color: #00705c;
            background-color: #ffffff;
          }
        }
      }
    }
  }

  .index-item[data-anchor='market'] {
    background-image: url('../images/home/scbj.jpg');
    /* background-color: #eef3f4; */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    padding: 80px 160px;

    .index-item-main {
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 30px;
      /* padding-top: 60px; */

      .index-content-header {
        display: flex;
        justify-content: center;

        .index-content-title {
          font-size: 42px;
          color: #000000;
          font-weight: bold;
        }
      }

      .market-content {
        align-self: stretch;
        display: flex;
        gap: 42px;

        .market-map {
          img {
            width: 888px;
            object-fit: cover;
          }
        }

        .market-item-box {
          flex-grow: 1;
          display: flex;
          flex-direction: column;
          justify-content: center;
          gap: 50px;

          .market-item {
            display: flex;
            align-items: center;
            gap: 42px;

            .market-item-icon {
              img {
                width: 50px;
                height: 50px;
              }
            }

            .market-item-desc {
              font-size: 24px;
              color: #333333;
              font-weight: bold;
            }
          }
        }
      }
    }
  }
}
